> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch email lookup logs

> Fetch the previous emails enriched for the authenticated user.



## OpenAPI

````yaml get /v1/emails/logs
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/emails/logs:
    get:
      tags:
        - email
      summary: Fetch email lookup logs
      description: Fetch the previous emails enriched for the authenticated user.
      operationId: get_email_logs_v1_emails_logs_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
              example:
                success: true
                logs_emails:
                  - created_date: '2025-11-18T16:03:55.003786+00:00'
                    linkedin_url: linkedin.com/in/person1
                    email: example1@firstfinancial.com
                    email_status: VALID
                  - created_date: '2025-11-17T03:26:28.976115+00:00'
                    linkedin_url: linkedin.com/in/person2
                    email: person.2@marketingservices.com
                    email_status: VALID
                  - created_date: '2025-11-16T00:35:26.653134+00:00'
                    url: punch.cool
                    last_name: Gunther
                    first_name: Alex
                    email: person.3@td.com
                    email_status: VALID
                  - created_date: '2025-11-15T00:15:08.075117+00:00'
                    linkedin_url: linkedin.com/in/person4
                    email: person4@nbc.com
                    email_status: VALID
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````